Subject: [Speechsc] Loquendo's comments on draft-ietf-speechsc-mrcpv2-05.txt - part I

From: Baggia Paolo <[email-masked]>
Date: Thu, 03 Feb 2005 16:51:39 +0100

Dear Sarvi/Eric/SpeechSC people,

A few comments from Loquendo's people who carefully
read the MRCPv2 05 draft. We hope they will be useful
to improve the spec. Unfortunately this is only
the first part. I'll manage to send a second part
in a few day.

Paolo

------------  LOQUENDO's COMMENTS --------------------

A. References

I got a formal error in the references section 
of "draft-ietf-speechsc-mrcpv2-05.txt".

     [7]   World Wide Web Consortium, "Voice Extensible Markup Language 
           (VoiceXML) Version 2.0", W3C Candidate Recommendation, March 
           2004. 

     [10]  World Wide Web Consortium, "Speech Synthesis Markup Language 
           (SSML) Version 1.0", W3C Candidate Recommendation, September 
           2004. 
      
     [11]  World Wide Web Consortium, "Speech Recognition Grammar 
           Specification Version 1.0", W3C Candidate Recommendation, 
           March 2004. 

The dates are fine, but those spec are "W3C Recommendation" and
no more "W3C Candidate Recommendation".

This is not only a formal error, because many examples seems to
be out-of-date and to refer to older versions of these specs.

B. SSML examples with troubles

- the Content-Type should be: application/ssml+xml
  and not application/synthesis+xml
  first time page 16, but other 14 times
- the file extension should be .ssml and not .sml
  see page 41 and 42
- <speak> has some required attributes,
  such as "xml:lang" and "version". The 13 SSML
  examples need to comply to it.
- <paragraph> is now <p>
  first time in page 16, but other 13 times
- <sentence> is now <s>
  first time in page 16, but other 38 times
- <say-as> uses the "type" attribute, now is "interpret-as",
  but the SSML does not prescribe any specific values for
  it, so I'll suggest to avoid to use <say-as> element in
  the examples. You can add the
  <emphasis> element if you like, or you can leave only
  <say-as interpret-as="vxml:time">0345h</say-as>, because
  this type is spec in VoiceXML 2.0 Appendix P ([7]).
  In page 16 and subsequent 24 times.
- <sayas> it should be spelled <say-as>
  only one time in page 7 

=====================================================================
- Example1 - CURRENT version (pg. 16, from 42 to 50
             many times, 137)
 
           <?xml version="1.0"?> 
           <speak> 
            <paragraph> 
              <sentence>You have 4 new messages.</sentence> 
              <sentence>The first is from <say-as  
              type="name">Stephanie Williams</say-as> 
              and arrived at <break/> 
              <say-as type="time">3:45pm</say-as>.</sentence> 
     
              <sentence>The subject is <prosody 
              rate="-20%">ski trip</prosody></sentence> 
            </paragraph> 
           </speak> 

- Example1 - CORRECT version (<say-as> should be eliminated
  replacing "0345p" with the original "3:45pm")

           <?xml version="1.0"?> 
           <speak version="1.0" xml:lang="en-US"> 
            <p> 
              <s>You have 4 new messages.</s> 
              <s>The first is from 
              Stephanie Williams
              and arrived at <break/> 
              <say-as interpret-as="vxml:time">0345p</say-as>.</s> 
     
              <s>The subject is <prosody 
              rate="-20%">ski trip</prosody></s> 
            </p> 
           </speak> 

=====================================================================
- Example2 - CURRENT version (present in pag. 51)

           <?xml version="1.0"?> 
           <speak version="1.0" xml:lang="en-US"> 
           <paragraph> 
             <sentence>You have 4 new messages.</sentence> 
             <sentence>The first is from <say-as  
             type="name">Stephanie Williams</say-as> 
             and arrived at <break/> 
             <say-as type="time">3:45pm</say-as>.</sentence> 
             <mark name="here"/> 
             <sentence>The subject is  
                <prosody rate="-20%">ski trip</prosody> 
             </sentence> 
             <mark name="ANSWER"/> 
           </paragraph> 
           </speak> 

- Example2 - CORRECT version 

           <?xml version="1.0"?> 
           <speak version="1.0" xml:lang="en-US"> 
           <p> 
             <s>You have 4 new messages.</s> 
             <s>The first is from   
             Stephanie Williams 
             and arrived at <break/> 
             <say-as interpret-as="vxml:time">0345p</say-as>.</s> 
             <mark name="here"/> 
             <s>The subject is  
                <prosody rate="-20%">ski trip</prosody> 
             </s> 
             <mark name="ANSWER"/> 
           </p> 
           </speak> 

=====================================================================
- Example3 - CURRENT version (page 138)
            
           <?xml version="1.0"?> 
           <speak> 
           <paragraph> 
                    <sentence>You have 4 new messages.</sentence> 
                    <sentence>The first is from <say-as  
                    type="name">Stephanie Williams</say-as> <mark 
           name="Stephanie"/> 
                    and arrived at <break/> 
                    <say-as type="time">3:45pm</say-as>.</sentence> 
            
                    <sentence>The subject is <prosody 
                    rate="-20%">ski trip</prosody></sentence> 
           </paragraph> 
           </speak> 

- Example3 - CORRECT version

           <?xml version="1.0"?> 
           <speak version="1.0" xml:lang="en-US"> 
           <p> 
                    <s>You have 4 new messages.</s> 
                    <s>The first is from   
                    Stephanie Williams <mark name="Stephanie"/> 
                    and arrived at <break/> 
                    <say-as type="vxml:time">0345p</say-as>.</s> 
            
                    <s>The subject is <prosody 
                    rate="-20%">ski trip</prosody></s> 
           </p> 
           </speak> 

=====================================================================
- Example4 - CURRENT version (page 138)
            
           <?xml version="1.0"?> 
           <speak> 
           <paragraph> 
                    <sentence>Welcome to ABC corporation.</sentence> 
                    <sentence>Who would you like Talk to.</sentence> 
           </paragraph> 
           </speak> 

- Example4 - CORRECT version

           <?xml version="1.0"?> 
           <speak version="1.0" xml:lang="en-US"> 
           <p> 
                    <s>Welcome to ABC corporation.</s> 
                    <s>Who would you like Talk to.</s> 
           </p> 
           </speak> 

=====================================================================

I'll send you in a short time comments on the <grammar> examples too.

I'd appreciate if you can take advantage of the above mentioned
small errors and to apply them in the next revision. Do you have
an idea of when a new draft will be released?

Would it be possible to acknowledge Loquendo at the end? This is not
a strong point for us.

Best regards,
Paolo Baggia, Loquendo

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc